Thursday Aug 21, 2008

Backward Compatibility Testing for platform9

This is copy of email that I sent to nbusers and nbdev. We are looking forward for your feedback.

Dear developers,

we are trying to keep the NetBeans platform and NetBeans IDE backward compatible as much as possible. However the testing of the backward compatibility is not easily achievable and thus we would appreciate if you could help us with this task. It allows us to improve the quality of NetBeans RCP. And also keep its backward compatibility among the releases. If you develop an application based on NetBeans RCP or a module for NetBeans IDE then this testing is unique opportunity to let us know about the bugs that you have noticed already or you might notice when you'll switch to newer version of NetBeans IDE or the NetBeans platform. There is still time to fix such bugs in the coming NetBeans 6.5.

The whole process and the steps required from your side are described at http://wiki.netbeans.org/BackwardCompatibilityTesting The modules/application should be tested with NetBeans 6.5 Beta or later. Deadline for your results is August 31st 2008.

We organized a similar program during NetBeans 6.1 development and all participants appreciated the chance to influence compatibility of the NetBeans APIs. We evaluated all reported problems and you can find the results at http://wiki.netbeans.org/NB61BackwardCompatibilityTestingReport

Please, note that we are also interested in test results with older releases therefore you can join the testing even if your application/module is based on some older release than the latest final release NetBeans 6.1.

Are you interested in this unique opportunity?

Thanks to all who drop us an e-mail with their test results to compatibility@platform.netbeans.org!
Lukas.
About

Team blog of NetBeans Core and Platform Quality Assurance team

Search

Categories
Archives
« April 2014
SunMonTueWedThuFriSat
  
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
   
       
Today